Bug Hunting Session
Bug 36201 - Spell Checker dialogs opened for multiple documents in time all check the same document
Summary: Spell Checker dialogs opened for multiple documents in time all check the sam...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking-Dialog
  Show dependency treegraph
 
Reported: 2011-04-13 01:26 UTC by liviucoman
Modified: 2017-07-28 18:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bug spellcheck (75.51 KB, image/png)
2011-04-13 01:43 UTC, liviucoman
Details
Test kit, see Comment 3 (27.27 KB, application/x-zip-compressed)
2011-08-14 00:46 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liviucoman 2011-04-13 01:26:00 UTC
I've noticed that calling the dialog "Spell check"  (F7) on the first document 
for writer will populate this dialog with the errors from the first document. 
I've left the dialog open and I've opened a second document for editing and 
called again the dialog (F7) but this was containing the errors from the first 
document instead of those from the second document. 

If I go further and work with the dialog on the second document unexpected 
effects will happen. Parts of text from the second document will be replaced  
with suggestions related to the first document.

I've used for my Test OO 3.2.1 (OOO320m18,  Build 9502). I've checked this also 
with OO 3.3 RC3 and the problem is still present.

I've reported this problem also on openoffice.org.
http://openoffice.org/bugzilla/show_bug.cgi?id=115488
Comment 1 liviucoman 2011-04-13 01:43:57 UTC
Created attachment 45567 [details]
bug spellcheck
Comment 2 liviucoman 2011-04-13 01:49:24 UTC
The dialog "Spell checking" is context independent in Microsoft Office 2003.
Comment 3 Rainer Bielefeld Retired 2011-08-14 00:30:16 UTC
[Reproducible] with "LibreOffice 3.4.2  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]".

For the check you should have installed German (Germany) and EN (US) dictionaries

Steps to reproduce:
0. Download, unzip test kit, open both documents
1. Switch to "sourceEn.odt", <f7> for spell check
   Spell check dialotg appears Some misspelled word, for example "Karota", 
   will be indicated
2. Switch with <alt+tab> to "source.de",  <f7> for spell check 
    As expected spell check dialog appears, but unexpectedly it does not
    check the German text of this document, but continues spell check for 
    "sourceEn.odt" (you see English text in text view pane in the dialog).
    I see "Jatt" as misspelled, what also will be the next 
    indicated word in "sourceEn.odt", if you switch back to that document and 
    click button "ignore once"
  
Might be inherited from OOo, I also see the problem in Oo 3.3
Comment 4 Rainer Bielefeld Retired 2011-08-14 00:46:16 UTC
Created attachment 50193 [details]
Test kit, see Comment 3

Corresponding OOo issue: "74574 - interactive spell checking in two Writer documents"
<http://openoffice.org/bugzilla/show_bug.cgi?id=74574>
Comment 5 Björn Michaelsen 2011-12-23 13:24:34 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 6 A (Andy) 2014-03-08 20:33:25 UTC
for me not reproducible with LO 4.2.1.1 (Win 8.1)

Can anybody still confirm this bug?  Otherwise, I would propose to close this issue as Resolved.
Comment 7 Urmas 2014-03-09 06:05:09 UTC
Bugs do not fix themselves and this is still perfectly reproducible.
Comment 8 A (Andy) 2014-03-09 11:31:49 UTC
@Urmas: Thank you very much for your very fast reexamination of my check.  Could I am doing something different, because I tried it once more and it seems to work OK (or there is maybe a misunderstanding from my side)?  Please find below all the steps I had done.  Please correct if you had done something different.

Steps I had done:
1. Open both files from the Test kit (sourceDe.odt and sourceEn.odt) directly from the Windows Explorer
2. Swtich to sourceDe in WRITER to start
3. Press F7
-> Result: German spell checks opens and shows "Paschtu" as error (or missing word)
4. Close the German spell check by pressing the CLOSE button
5. Press Alt + Tab keys to switch to sourceEn
6. Press F7
-> Result: English (USA) spell checks opens and shows "Karota" as error (or missing word)
Comment 9 Joel Madero 2015-05-02 15:43:29 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2016-09-20 09:37:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920